import { IMember } from "./Members";
export interface UserInfoProps {
    _id: string;
    loading: number;
    phone_prefix?: string;
    [attr: string]: any;
}
interface M {
    setUserInfo: (info: UserInfoProps) => void;
    syncBaseInfo: (info: IMember) => void;
}
declare type otherInfos = {
    unreadCount: number;
};
export declare const InitLoadingStatus: {
    UNKNOWN: number;
    LOADED: number;
    LOADING: number;
    LOADING_FAIL: number;
    DONE: number;
};
declare class UserInfo implements UserInfoProps, M, otherInfos {
    _id: string;
    code?: string;
    loading: number;
    phone_prefix?: string;
    unreadCount: number;
    logined: boolean;
    setUserInfo(userInfo: Partial<UserInfoProps>): void;
    syncBaseInfo(info: IMember): void;
    resetUserInfo(): void;
}
export declare const tmmUserInfo: UserInfo;
export default tmmUserInfo;
